---
layout: article
title: DC Docs
description: The Data Controller for SAS® enables users to self serve their data changes, and for data owners to retain control over those updates by reviewing and approving them
og_title: Data Controller Documentation
og_image: https://docs.datacontroller.io/img/edit_approve_audit.png
---
# Data Controller Documentation

## Overview

The Data Controller for SAS® enables users to self serve their data changes, and for data owners to retain control over those updates by reviewing and approving them.

<iframe src="https://player.vimeo.com/video/277472582" width="640" height="360" frameborder="0" allowfullscreen></iframe>

## Online resources

The following resources contain additional information on the Data Controller:

- DC Overview [Presentation](https://slides.com/allanbowe/datacontroller)
- Data Controller [LinkedIn](https://www.linkedin.com/showcase/data_controller) page
- Data Controller [website](https://datacontroller.io)
- Data Controller flyer ([front](/marketing/flyer-front.pdf) / [back](/marketing/flyer-back.pdf))
- Data Controller [videos](/videos)
- Data Controller [SAS Code](https://code.datacontroller.io)
- Data Controller [Download](https://4gl.uk/dcdeploy)

## Product Features

Data Controller is regularly updated with new features.  If you see something that is not listed, and we agree it would be useful, you can engage us with Developer Days to build the feature in.

* [Excel uploads](/excel) - drag & drop directly into SAS. All versions of excel supported.
* Data Lineage - at both table and column level, export as image or CSV
* Data Validation Rules - both automatic and user defined
* Data Dictionary - map data definitions and ownership
* Data Catalog - including primary key extraction
* DDL generator - in SAS, TSQL and PGSQL flavours
* Workflow - run a SAS program before or after an edit or approval
* Role based security - editors, approvers, administrators
* Data Models supported:  SCD2, Bitemporal, composite keys, retained keys, update, format catalogs
* Email Alerts for data changes
* [Row Level Security](/row-level-security)
* Excel [formula support](excel)
* Dynamic [cell dropdown](/dynamic-cell-dropdown)
* Works on ALL flavours of SAS (Foundation, EBI, Viya)



