---
layout: article
title: MPE_DATACATALOG_OBJS
description: The MPE_DATACATALOG_OBJS table contains the objects inside every SAS Catalog
og_title: MPE_DATACATALOG_OBJS Table Documentation
og_image: /img/datacatalog_objs.png
---

# MPE_DATACATALOG_OBJS

The `MPE_DATACATALOG_OBJS` table contains a listing of all the objects available in each SAS Catalog.

More frequently changing attributes are stored in [MPE_DATASTATUS_OBJS](/mpe_datastatus_objs).

To trigger a scan, see the Refresh Data Catalog [instructions](/dcu-datacatalog/#refreshing-the-data-catalog).

![](/img/datacatalog_objs.png)

## Columns

- `TX_FROM num`: SCD2 open datetime
- 🔑 `TX_TO num`: SCD2 close datetime
- 🔑 `LIBREF char(8)`: SAS Libref (8 chars)
- 🔑 `MEMNAME char(64)`: The catalog member name
- `OBJNAME char(32)`: The object name
- `OBJTYPE char(8)`: The object type
- `OBJDESC char(256)`: The object description
- `ALIAS char(32)`: The object alias