---
layout: article
title: MPE_DATASTATUS_CATS
description: The MPE_DATASTATUS_CATS table captures frequently changing SAS catalog attributes such as created / modified datetimes and number of entries.
og_title: MPE_DATACATALOG_CATS Table Documentation
og_image: /img/datastatus_cats.png
---

# MPE_DATASTATUS_CATS

The `MPE_DATASTATUS_CATS` table captures frequently changing SAS table attributes such as created / modified datetimes and number of entries.

To trigger a scan, see the Refresh Data Catalog [instructions](/dcu-datacatalog/#refreshing-the-data-catalog).

![](/img/datastatus_cats.png)

## Columns

 - `TX_FROM num`: SCD2 open datetime
 - 🔑 `TX_TO num`: SCD2 close datetime
 - 🔑 `LIBREF char(8)`: SAS Libref (8 chars)
 - 🔑 `MEMNAME char(64)`: The catalog member name
 - `NOBS num`: The number of catalog entries
 - `CREATED num`: Creation datetime (based on earliest created object)
 - `MODIFIED num`: Modified datetime (based on last modified object)


