---
layout: article
title: Data Controller Videos
description: A collection of videos made in relation to Data Controller.  Some were recorded on earlier versions, hence the UI differences with the current product.
og_image: https://i.imgur.com/PHQlyUN.png
---


Data Controller Videos
====================

A collection of videos made in relation to Data Controller.  Some of them were recorded on earlier versions, hence the slight UI differences.

## Explainer Videos


### Data Controller - a Customer Story
An illustration of the utility of Data Controller for Data & Analytics teams in regulated industries.

<iframe width="560" height="315" src="https://www.youtube.com/embed/M8hafkS4zY4" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

### Use Case Video - Manual Overrides

A 1 minute video illustrating the value of using of Data Controller to make manual overrides.

<iframe width="560" height="315" src="https://www.youtube.com/embed/iY3KQZL4ok0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

### Explainer Videos
A short explainer video showing the core functionality of the product.

<iframe src="https://player.vimeo.com/video/277472582" width="640" height="360" frameborder="0" allowfullscreen></iframe>

A full length explainer video for the [SAS User Group UK & Ireland](https://suguki.org)

<iframe width="560" height="315" src="https://www.youtube.com/embed/Dhy1pAbCaEw" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## Column Level Security
Restrict which columns are visible in VIEW, or editable in EDIT

<iframe width="560" height="315" src="https://www.youtube.com/embed/jAVt-omtjVc" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## Full Table Search
Data Controller for SAS®  enables full text search on Global CASLIB tables (and SAS 9 tables too)

<iframe src="https://player.vimeo.com/video/415528925" width="640" height="349" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>

## Excel to Viya CAS Table
Loading an Excel file into a 5 million row CASLIB table

<iframe src="https://player.vimeo.com/video/417808409" width="640" height="400" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>

## Data Viewer
Data Controller for SAS® isn't just for editing (and approving) data - it can also be used to query and download!

<iframe src="https://player.vimeo.com/video/436451191" width="640" height="357" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>

## Data Lineage
Data Lineage is one of the most powerful features of DI Studio generated ETL.  This tool queries it and makes a graphical output to help DI Developers, Data Modellers, and Business Analysts understand the data from both Source to Target and Target to Source.

It is possible to share the URL to any lineage diagram, and export in PNG, SVG and CSV formats.  Lineage can be viewed forwards or backwards.

This feature is only available on the SAS 9 version of Data Controller.

### Table Level
Table level lineage shows tables (colour coded per library) and associated jobs (with links to metadata definitions). The extraction method is built with `proc metadata` and runs extremely fast.

<iframe src="https://player.vimeo.com/video/424504424" width="640" height="400" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>

### Column Level
Column level lineage shows the transformations and any business logic applied to each variable during the flow.  Data items are distinguished between files, database tables, and SAS datasets.
The extraction is a little slower than table level lineage due to the additional detail, however the impact is lessened for second and subsequent requests thanks to backend caching.

<iframe src="https://player.vimeo.com/video/383391622" width="640" height="540" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>


## Email Alerts
Adding Email Alerts in Data Controller is a case of updating the MPE_ALERTS table (to say which alerts you wish to send) and the MPE_EMAILS table (only if your emails are not stored in metadata)

<iframe src="https://player.vimeo.com/video/343401440" width="640" height="360" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>

## Deploying Data Controller
The SAS 9 evaluation version of the Data Controller comes packaged in a single SPK, which can be deployed in under 30 seconds!

<iframe src="https://player.vimeo.com/video/328175910" width="640" height="332" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>


## Uploading a CSV and Downloading Datalines
This video demonstrates 2 features in 50 seconds!

1 - Excel uploads.  Data Controller will let you drag a spreadsheet into any target table without having to specify variable formats etc in advance.  Changes are routed through the usual approval process with audit trail.

2 - Audit trail with original excel.  Download a copy of the exact excel that was uploaded.

<iframe width="560" height="315" src="https://www.youtube.com/embed/QhShWNnNjIw" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## Locked Datasets

In unix environments, when attempting to edit a locked table, users are notified with regard to which PID contains the lock.

<iframe src="https://player.vimeo.com/video/293557084" width="640" height="360" frameborder="0" allowfullscreen></iframe>

## Uploading a Password Protected Excel File

With Data Controller you can upload password protected excel files into SAS.  These are opened in the browser (thanks to our OEM licence of SheetJS) and the underlying data is extracted automatically.

<iframe width="560" height="315" src="https://www.youtube.com/embed/b2lfBCkdvBI" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

